<?php
// URL of the API that is to be invoked and data POSTed
$url = 'https://example.com/api-to-post';

// request data that is going to be sent as POST to API
$data = array(
    "animal" => "Lion",
    "type" => "Wild",
    "name" => "Simba",
    "zoo" => array(
        "address1" => "5333 Zoo",
        "city" => "Los Angeles",
        "state" => "CA",
        "country" => "USA",
        "zipcode" => "90027"
    )
);

// encoding the request data as JSON which will be sent in POST
$encodedData = json_encode($data);

// initiate curl with the url to send request
$curl = curl_init($url);

// return CURL response
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

// Send request data using POST method
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "POST");

// Data conent-type is sent as JSON
curl_setopt($curl, CURLOPT_HTTPHEADER, array(
    'Content-Type:application/json'
));
curl_setopt($curl, CURLOPT_POST, true);

// Curl POST the JSON data to send the request
curl_setopt($curl, CURLOPT_POSTFIELDS, $encodedData);

// execute the curl POST request and send data
$result = curl_exec($curl);
curl_close($curl);

// if required print the curl response
print $result;
?>